library verilog;
use verilog.vl_types.all;
entity muxtest is
    port(
        regdst          : in     vl_logic_vector(1 downto 0);
        writeregin      : out    vl_logic_vector(3 downto 0)
    );
end muxtest;
